package com.xjrsoft.module.liteflow.node;

import cn.hutool.core.convert.Convert;
import com.xjrsoft.module.organization.entity.UserStudent;
import com.xjrsoft.module.organization.service.IUserStudentService;
import com.yomahub.liteflow.core.NodeComponent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 家长绑定学生
 */
@Component("base_user_student_node")
public class BaseUserStudentNode extends NodeComponent {

    @Autowired
    private IUserStudentService userStudentService;

    @Override
    public void process() throws Exception {
        // 获取表单中数据编号
        Map<String, Object> params = this.getFirstContextBean();
        Object value = util.getFormDatKey(params,"id");
        Long formId = Convert.toLong(value);
        if (formId != null) {
            // 数据处理
            UserStudent userStudent = userStudentService.getById(formId);
            userStudent.setStatus(1);
            userStudentService.updateById(userStudent);
        }
    }
}